var os = require('os');
var path = require('path');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var os__default = /*#__PURE__*/_interopDefault(os);
var path__default = /*#__PURE__*/_interopDefault(path);

const homeDirectory = os__default.default.homedir();
const {env} = process;

const xdgData = env.XDG_DATA_HOME ||
	(homeDirectory ? path__default.default.join(homeDirectory, '.local', 'share') : undefined);

const xdgConfig = env.XDG_CONFIG_HOME ||
	(homeDirectory ? path__default.default.join(homeDirectory, '.config') : undefined);

const xdgState = env.XDG_STATE_HOME ||
	(homeDirectory ? path__default.default.join(homeDirectory, '.local', 'state') : undefined);

const xdgCache = env.XDG_CACHE_HOME || (homeDirectory ? path__default.default.join(homeDirectory, '.cache') : undefined);

const xdgRuntime = env.XDG_RUNTIME_DIR || undefined;

const xdgDataDirectories = (env.XDG_DATA_DIRS || '/usr/local/share/:/usr/share/').split(':');

if (xdgData) {
	xdgDataDirectories.unshift(xdgData);
}

const xdgConfigDirectories = (env.XDG_CONFIG_DIRS || '/etc/xdg').split(':');

if (xdgConfig) {
	xdgConfigDirectories.unshift(xdgConfig);
}

exports.xdgCache = xdgCache;
exports.xdgConfig = xdgConfig;
exports.xdgConfigDirectories = xdgConfigDirectories;
exports.xdgData = xdgData;
exports.xdgDataDirectories = xdgDataDirectories;
exports.xdgRuntime = xdgRuntime;
exports.xdgState = xdgState;
